콘텐츠로 이동
로그인 가입하기

Google Product API

알려진 제품 ID를 사용하여 Google Shopping 제품 페이지에서 제품 상세 정보를 가져옵니다. engine=google_product를 설정하고 product_id를 전달한 다음, 필요에 따라 offers, specs, reviews 플래그를 활성화하여 응답을 확장할 수 있습니다.

GET https://serp.shifter.io/v1?engine=google_product&api_key=YOUR_API_KEY
매개변수유형필수설명
api_keystring예SERP API 키
enginestring예google_product이어야 합니다
product_idstring예Google 제품 ID
devicestring아니요desktop, mobile, or tablet
google_domainstring아니요사용할 Google 도메인
locationstring아니요지오타겟팅 위치 이름
uulestring아니요Google로 인코딩된 위치 문자열
hlstring아니요인터페이스 언어 코드
glstring아니요국가 코드
startint아니요페이지네이션을 위한 결과 오프셋
offersint아니요오퍼를 가져오려면 1 또는 true로 설정하세요
specsint아니요제품 사양을 가져오려면 1 또는 true로 설정하세요
reviewsint아니요제품 리뷰를 가져오려면 1 또는 true로 설정하세요
filterstring아니요오퍼 필터링. 값: freeship:1, ucond:1, scoring:p, scoring:tp, scoring:cpd, scoring:mrd
Terminal window
curl "https://serp.shifter.io/v1?engine=google_product&api_key=YOUR_API_KEY&product_id=11607214845071611155"
{
"search_parameters": {
"engine": "google_product",
"product_id": "11607214845071611155"
},
"product_results": {
"title": "Sony WH-1000XM5 Wireless Noise Cancelling Headphones",
"prices": ["$349.00 - $399.99"],
"rating": 4.7,
"reviews": 2341,
"extensions": ["Wireless", "Noise Cancelling"],
"description": "Industry leading noise cancellation...",
"media": [ { "type": "image", "link": "https://..." } ]
},
"sellers_results": {
"online_sellers": [
{ "name": "Best Buy", "total_price": "$349.00" }
]
}
}